Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezcheckout.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezcheckout.php 6304 2001-07-29 23:31:17Z kaid $
5 //
6 // Definition of eZCheckout class
7 //
8 // Created on: <02-Feb-2001 15:00:11 bf>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
47 class eZCheckout
48 {
52 function __construct()
53 {
54 $ini =& eZINI::instance( 'site.ini' );
55 $checkout = $ini->variable( "eZTradeMain", "Checkout" );
56
57 // check for local checkout code
58 // if ( file_exists( "kernel/classes/$checkout/ezcheckoutsuppliergateway.php" ) )
59 if ( file_exists( "kernel/classes/checkout/ezcheckoutsuppliergateway.php" ) )
60 {
61 //include_once( "kernel/classes/checkout/ezcheckoutsuppliergateway.php" );
62 $this->CheckoutObject = new eZCheckoutSupplierGateway();
63 }
64 else
65 {
66 //include_once( "kernel/eztrade/classes/ezcheckoutsupplier.php" );
67 $this->CheckoutObject = new eZCheckoutSupplier();
68 }
69 }
70
74 function &instance()
75 {
76 return $this->CheckoutObject;
77 }
78
80 var $CheckoutObject;
81
82 }
83
84
85 ?>
eZCheckoutSupplierGateway
Definition: ezcheckoutsuppliergateway.php:36
eZCheckoutSupplier
Definition: ezcheckoutsupplier.php:36
eZCheckout
Definition: ezcheckout.php:48
eZCheckout\instance
& instance()
Definition: ezcheckout.php:74
eZCheckout\$CheckoutObject
$CheckoutObject
Checkout object which handles checkouts.
Definition: ezcheckout.php:80
eZCheckout\__construct
__construct()
Definition: ezcheckout.php:52
$ini
$ini
Definition: classes/admin/linklist.php:64
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$checkout
foreach( $historyArray as $status) $checkout
Definition: orderedit.php:666
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.